Eclipse ADT install problem

Recently I have installed kubuntu on my laptop and since then I haven’t developed anything with Eclipse for Android. Today I wanted to install the ADT plugin but when I have selected packages to install, the install manager gave my such error message:

Missing requirement: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534) requires ‘org.eclipse.wst.sse.core 0.0.0’ but it could not be found

At first I started to look through the internet for this required package, but the solution for this problem is much simpler. I don’t know why, the update repository site was not added in my Eclipse update sites and when I tried to install ADT, the package manager couldn’t resolve all dependencies. In order to fix this issue, below steps should be applied.

  1. Select Help > Install New Software…
  2. Click the link for Available Software Sites.
  3. Add or activate update site: http://download.eclipse.org/releases/indigo

After adding this update site the update manager calculates and downloads all the necessary dependencies. The installation goes smooth from now on.

Another thing that I have encountered was that after creating a new project, I tried to compile it and run to if everything works, but instead of a working Hello world app I saw another error message:

Error generating final archive: Debug Certificate expired on 12/7/11 7:50 PM

In order to resolve this problem the ~/.android/debug.keystore should be deleted and after this the compilation runs with no problem.

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s